Subject: Bug#200: [X2Go-Dev] Bug#200: Issue already fixed in Vcs

From: Nable 80 <[email-masked]>
Date: Sat, 18 May 2013 23:13:43 +0400

Sorry for being so slow but has anybody tested this solution?
As one can read in http://perldoc.perl.org/File/Path.html , if you
don't specify the `mode' param, then the numeric permissions mode of
each created directory defaults to (0777 & ~umask). I don't know what
is the exact umask when x2godbadmin is called, so i'm not sure that
this forcely created homepath ( "$home/.x2go" ) would have good (in
terms of security) permissions.